/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
html {
  box-sizing: border-box; }

*,
*::before,
*::after {
  box-sizing: inherit; }

*::-moz-focus-inner {
  border: 0; }

body {
  margin: 0; }

button,
input {
  background-color: inherit;
  color: inherit;
  font-family: inherit;
  font-size: inherit; }

[hidden] {
  display: none !important; }

.onboardingMessageImage.addons {
  background-image: url("../data/content/assets/illustration-addons@2x.png"); }

.onboardingMessageImage.privatebrowsing {
  background-image: url("../data/content/assets/illustration-privatebrowsing@2x.png"); }

.onboardingMessageImage.screenshots {
  background-image: url("../data/content/assets/illustration-screenshots@2x.png"); }

.onboardingMessageImage.gift {
  background-image: url("../data/content/assets/illustration-gift@2x.png"); }

.onboardingMessageImage.sync {
  background-image: url("../data/content/assets/illustration-sync@2x.png"); }

.onboardingMessageImage.devices {
  background-image: url("../data/content/assets/trailhead/card-illo-devices.svg"); }

.onboardingMessageImage.fbcont {
  background-image: url("../data/content/assets/trailhead/card-illo-fbcont.svg"); }

.onboardingMessageImage.import {
  background-image: url("../data/content/assets/trailhead/card-illo-import.svg"); }

.onboardingMessageImage.ffmonitor {
  background-image: url("../data/content/assets/trailhead/card-illo-ffmonitor.svg"); }

.onboardingMessageImage.ffsend {
  background-image: url("../data/content/assets/trailhead/card-illo-ffsend.svg"); }

.onboardingMessageImage.lockwise {
  background-image: url("../data/content/assets/trailhead/card-illo-lockwise.svg"); }

.onboardingMessageImage.mobile {
  background-image: url("../data/content/assets/trailhead/card-illo-mobile.svg"); }

.onboardingMessageImage.pledge {
  background-image: url("../data/content/assets/trailhead/card-illo-pledge.svg"); }

.onboardingMessageImage.pocket {
  background-image: url("../data/content/assets/trailhead/card-illo-pocket.svg"); }

.onboardingMessageImage.private {
  background-image: url("../data/content/assets/trailhead/card-illo-private.svg"); }

.onboardingMessageImage.sendtab {
  background-image: url("../data/content/assets/trailhead/card-illo-sendtab.svg"); }

.onboardingMessageImage.tracking {
  background-image: url("../data/content/assets/trailhead/card-illo-tracking.svg"); }

html {
  height: 100%; }

body {
  --grey-subtitle: #4A4A4F;
  --newtab-background-color: #EDEDF0;
  --newtab-text-primary-color: #0C0C0D;
  --newtab-text-conditional-color: #4A4A4F;
  --newtab-button-primary-color: #0060DF;
  --newtab-card-background-color: #FFF;
  --newtab-card-shadow: 0 1px 4px 0 rgba(12, 12, 13, 0.1);
  --welcome-header-text-color: #2B2156;
  --welcome-card-button-background-color: rgba(12, 12, 13, 0.1);
  --welcome-card-button-background-hover-color: rgba(12, 12, 13, 0.2);
  --welcome-card-button-background-active-color: rgba(12, 12, 13, 0.3);
  --welcome-button-box-shadow-color: rgba(10, 132, 255, 0.3);
  --welcome-button-box-shadow-inset-color: #0A84FF;
  --welcome-button-text-color: #FFF;
  --welcome-button-background-hover-color: #003EAA;
  --welcome-button-background-active-color: #002275;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Ubuntu', 'Helvetica Neue', sans-serif;
  font-size: 16px;
  position: relative;
  /* these two rules fix test failures in 
  "browser_ext_themes_ntp_colors" & "browser_ext_themes_ntp_colors_perwindow".*/
  color: var(--newtab-text-primary-color);
  background-color: var(--newtab-background-color); }
  body[lwt-newtab-brighttext] {
    --newtab-background-color: #2A2A2E;
    --newtab-text-primary-color: #F9F9FA;
    --newtab-text-conditional-color: #F9F9FA;
    --newtab-button-primary-color: #0060DF;
    --newtab-card-background-color: #38383D;
    --newtab-card-shadow: 0 1px 8px 0 rgba(12, 12, 13, 0.2);
    --welcome-header-text-color: rgba(255, 255, 255, 0.6);
    --welcome-card-button-background-color: rgba(12, 12, 13, 0.3);
    --welcome-card-button-background-hover-color: rgba(12, 12, 13, 0.5);
    --welcome-card-button-background-active-color: rgba(12, 12, 13, 0.7);
    --welcome-button-box-shadow-color: rgba(249, 249, 250, 0.2); }

.welcomeCardGrid {
  margin: 0;
  margin-top: 32px;
  display: grid;
  grid-gap: 32px;
  opacity: 0;
  transition: opacity 0.4s;
  transition-delay: 0.1s;
  grid-auto-rows: 1fr; }
  .welcomeCardGrid.show {
    opacity: 1; }
  @media (min-width: 610px) {
    .welcomeCardGrid {
      grid-template-columns: repeat(auto-fit, 224px); } }
  @media (min-width: 1122px) {
    .welcomeCardGrid {
      grid-template-columns: repeat(auto-fit, 309px); } }

.welcomeContainer {
  text-align: center; }
  @media (min-width: 610px) {
    .welcomeContainer {
      max-height: 1000px; } }
  .welcomeContainer h1 {
    font-size: 36px;
    font-weight: 200;
    margin: 0 0 40px;
    color: var(--welcome-header-text-color); }
  .welcomeContainer .welcome-title {
    margin-bottom: 5px;
    line-height: 52px; }
  .welcomeContainer .welcome-subtitle {
    font-size: 28px;
    font-weight: 200;
    margin: 6px 0 0;
    color: var(--grey-subtitle);
    line-height: 42px; }

.welcomeContainerInner {
  margin: auto;
  padding: 40px 25px; }
  @media (min-width: 610px) {
    .welcomeContainerInner {
      width: 530px; } }
  @media (min-width: 866px) {
    .welcomeContainerInner {
      width: 786px; } }
  @media (min-width: 1122px) {
    .welcomeContainerInner {
      width: 1042px; } }

.welcomeCard {
  position: relative;
  background: var(--newtab-card-background-color);
  border-radius: 4px;
  box-shadow: var(--newtab-card-shadow);
  font-size: 13px;
  padding: 20px 40px 60px; }
  @media (max-width: 866px) {
    .welcomeCard {
      padding: 20px 40px; } }
  @media (min-width: 1122px) {
    .welcomeCard {
      font-size: 15px; } }

.welcomeCard .onboardingTitle {
  font-weight: normal;
  color: var(--newtab-text-primary-color);
  margin: 10px 0 4px;
  font-size: 15px; }
  @media (min-width: 1122px) {
    .welcomeCard .onboardingTitle {
      font-size: 18px; } }

.welcomeCard .onboardingText {
  margin: 0 0 60px;
  color: var(--newtab-text-conditional-color);
  line-height: 1.5;
  font-weight: 200; }

.welcomeCard .onboardingButton {
  color: var(--newtab-text-conditional-color);
  background: var(--welcome-card-button-background-color);
  border: 0;
  border-radius: 4px;
  margin: 14px;
  min-width: 70%;
  padding: 6px 14px;
  white-space: pre-wrap;
  cursor: pointer; }
  .welcomeCard .onboardingButton:focus, .welcomeCard .onboardingButton:hover {
    box-shadow: none;
    background: var(--welcome-card-button-background-hover-color); }
  .welcomeCard .onboardingButton:focus {
    outline: dotted 1px; }
  .welcomeCard .onboardingButton:active {
    background: var(--welcome-card-button-background-active-color); }

.welcomeCard .onboardingButtonContainer {
  position: absolute;
  bottom: 16px;
  left: 0;
  width: 100%;
  text-align: center; }

.onboardingMessageImage {
  height: 112px;
  width: 140px;
  background-size: auto 140px;
  background-position: center center;
  background-repeat: no-repeat;
  display: inline-block; }
  @media (max-width: 866px) {
    .onboardingMessageImage {
      height: 75px;
      min-width: 80px;
      background-size: 140px; } }
  @media (min-width: 1122px) {
    .onboardingMessageImage {
      width: 140px;
      background-size: auto 140px; } }

.start-button {
  border: 0;
  font-size: 15px;
  font-family: inherit;
  font-weight: 200;
  margin-inline-start: 12px;
  margin: 30px 0 25px;
  padding: 8px 16px;
  white-space: nowrap;
  background-color: var(--newtab-button-primary-color);
  color: var(--welcome-button-text-color);
  cursor: pointer;
  border-radius: 2px; }
  .start-button:focus {
    background: var(--welcome-button-background-hover-color);
    box-shadow: 0 0 0 1px var(--welcome-button-box-shadow-inset-color) inset, 0 0 0 1px var(--welcome-button-box-shadow-inset-color), 0 0 0 4px var(--welcome-button-box-shadow-color); }
  .start-button:hover {
    background: var(--welcome-button-background-hover-color); }
  .start-button:active {
    background: var(--welcome-button-background-active-color); }
